Bug 692548 - Add support for LibreOffice FlatXML files
Summary: Add support for LibreOffice FlatXML files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-31 14:26 UTC by Matěj Cepl
Modified: 2018-04-11 12:26 UTC (History)
3 users (show)

Fixed In Version: bash-completion-1.3-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-20 03:19:56 UTC


Attachments (Terms of Use)
proposed patch (1.18 KB, patch)
2011-03-31 14:26 UTC, Matěj Cepl
no flags Details | Diff

Description Matěj Cepl 2011-03-31 14:26:46 UTC
Created attachment 489095 [details]
proposed patch

Description of problem:
LibreOffice introduces new file type FlatXML (whole document as one XML file) with new extensions. See attached patch for its support in bash_completion.

Version-Release number of selected component (if applicable):
bash-completion-1.3-2.fc15.noarch

How reproducible:
100%

Steps to Reproduce:
1. have a directory with .fodt file
2. oowriter name<TBA>
3.
  
Actual results:
Doesn't recognize .fodt file as a possible completion

Expected results:
Should

Additional info:

Comment 1 Ville Skyttä 2011-03-31 19:48:27 UTC
Thanks, slightly modified patch applied upstream:
http://git.debian.org/?p=bash-completion/bash-completion.git;a=commitdiff;h=e10848b7e5613cf07d00f05d0bcafdc0625042ff

Comment 2 Fedora Update System 2011-04-15 21:02:58 UTC
bash-completion-1.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.fc15

Comment 3 Fedora Update System 2011-04-15 21:09:50 UTC
bash-completion-1.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.fc14

Comment 4 Fedora Update System 2011-04-15 21:17:12 UTC
bash-completion-1.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.el6

Comment 5 Fedora Update System 2011-04-15 21:23:03 UTC
bash-completion-1.3-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.el5

Comment 6 Fedora Update System 2011-04-16 00:12:43 UTC
Package bash-completion-1.3-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bash-completion-1.3-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bash-completion-1.3-3.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-04-20 03:19:42 UTC
bash-completion-1.3-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-04-23 20:48:37 UTC
bash-completion-1.3-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-05-10 21:41:27 UTC
bash-completion-1.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bash-completion-1.3-4.el6

Comment 10 Fedora Update System 2011-05-10 21:43:09 UTC
bash-completion-1.3-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.3-4.el5

Comment 11 Fedora Update System 2011-05-28 21:34:07 UTC
bash-completion-1.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-28 21:35:32 UTC
bash-completion-1.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.